<?php
// メインコンテンツの幅を指定
//if ( ! isset( $content_width ) ) $content_width = 600;

// アイキャッチ画像を有効化
add_theme_support('post-thumbnails');
add_image_size('thumb75',75,75,true);
add_image_size('thumb100',100,100,true);
add_image_size('thumb150',150,150,true);

////カテゴリー説明文からPタグを除去
//remove_filter('term_description', 'wpautop');
//カテゴリー説明文でHTMLタグを使う
remove_filter( 'pre_term_description', 'wp_filter_kses' );

//ビジュアルエディターとテーマ表示のスタイルを合わせる
add_editor_style();

// RSS2 の feed リンクを出力
add_theme_support( 'automatic-feed-links' );

// カスタムメニューを有効化
add_theme_support( 'menus' );

// カスタムメニューの「場所」を設定
register_nav_menu( 'header-navi', 'ヘッダーのナビゲーション' );

// サイドバーウィジットを有効化
register_sidebars(1,
  array(
  'name' => 'サイドバーウイジェット',
  'id' => 'sidebar-1',
  'description' => 'サイドバーのウィジットエリアです。',
  'before_widget' => '<div id="%1$s" class="widget %2$s">',
  'after_widget' => '</div>',
  'before_title'  => '<h4 class="widgettitle">',
  'after_title'   => '</h4>',
));

register_sidebars(1,
  array(
  'name'=>'スクロール追従領域',
  'id' => 'sidebar-scroll',
  'description' => 'サイドバーで下にスクロールすると追いかけてくるエリアです。※モバイルでは表示されません。（ここにGoogle AdSenseを張るのはポリシー違反です。）',
  'before_widget' => '',
  'after_widget' => '',
  'before_title' => '<h4>',
  'after_title' => '</h4>',
));

register_sidebars(1,
  array(
  'name'=>'広告 336',
  'id' => 'adsense-336',
  'description' => '336px幅の広告を入力してください。',
  'before_widget' => '',
  'after_widget' => '',
  'before_title' => '<h4 style="display:none">',
  'after_title' => '</h4>',
));
 
register_sidebars(1,
  array(
  'name'=>'広告 300',
  'id' => 'adsense-300',
  'description' => '300px幅の広告を入力してください。',
  'before_widget' => '',
  'after_widget' => '',
  'before_title' => '<h4 style="display:none">',
  'after_title' => '</h4>',
));

register_sidebars(1,
  array(
  'name'=>'フッター左',
  'id' => 'footer-left',
  'description' => 'フッター左側のウィジットエリアです。',
  'before_widget' => '',
  'after_widget' => '',
  'before_title' => '<h4>',
  'after_title' => '</h4>',
));
 
register_sidebars(1,
  array(
  'id' => 'footer-center',
  'name'=>'フッター中',
  'description' => 'フッター中間のウィジットエリアです。',
  'before_widget' => '',
  'after_widget' => '',
  'before_title' => '<h4>',
  'after_title' => '</h4>',
));
 
register_sidebars(1,
  array(
  'name'=>'フッター右',
  'id' => 'footer-right',
  'description' => 'フッター右側フッター中のウィジットエリアです。',
  'before_widget' => '',
  'after_widget' => '',
  'before_title' => '<h4>',
  'after_title' => '</h4>',
));

//カスタムヘッダー
$custom_header_defaults = array(
 'random-default' => false,
 'width' => 1070,
 'height' => intval(get_header_height()),
 'flex-height' => false,
 'flex-width' => false,
 'default-text-color' => '',
 'header-text' => false,
 'uploads' => true,
);
add_theme_support( 'custom-header', $custom_header_defaults );

//カスタム背景
$custom_background_defaults = array(
        'default-color' => 'ffffff',
);
add_theme_support( 'custom-background', $custom_background_defaults );

//色を定数にする
define("LINK_COLOR", "#2098a8");
define("LINK_HOVER_COLOR", "#cc0033");
define("SITE_TITLE_COLOR", "#222222");
define("SITE_DESCRIPTION_COLOR", "#777777");
define("MOBILE_BACKGROUND_COLOR", "#e7e7e7");

//カスタマイズした値をCSSに反映させる
function celtisone_customize_css(){
  get_template_part('css-custom');
}
add_action( 'wp_head', 'celtisone_customize_css');

add_action( 'customize_register', 'theme_customize_register' );
function theme_customize_register($wp_customize) {
  //リンク色
  $wp_customize->add_setting( 'link_color', array( 'default' => LINK_COLOR, ) );
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'link_color', array(
    'label' => __( 'リンク色', 'colors' ),
    'section' => 'colors',
    'settings' => 'link_color',
    'priority' => 15,
  ) ) );
  
  //リンク色ホバー
  $wp_customize->add_setting( 'link_hover_color', array( 'default' => LINK_HOVER_COLOR, ) );
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'link_hover_color', array(
    'label' => __( 'リンク色（hover）', 'colors' ),
    'section' => 'colors',
    'settings' => 'link_hover_color',
    'priority' => 20,
  ) ) );
  
  //サイトタイトル色
  $wp_customize->add_setting( 'site_title_color', array( 'default' => SITE_TITLE_COLOR, ) );
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'site_title_color', array(
    'label' => __( 'サイトタイトル色', 'colors' ),
    'section' => 'colors',
    'settings' => 'site_title_color',
    'priority' => 30,
  ) ) );
  
  //サイト概要色
  $wp_customize->add_setting( 'site_description_color', array( 'default' => SITE_DESCRIPTION_COLOR, ) );
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'site_description_color', array(
    'label' => __( 'サイト概要色', 'colors' ),
    'section' => 'colors',
    'settings' => 'site_description_color',
    'priority' => 40,
  ) ) );
  
  //モバイル時ヘッダー色
  $wp_customize->add_setting( 'mobile_background_color', array( 'default' => MOBILE_BACKGROUND_COLOR, ) );
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'mobile_background_color', array(
    'label' => __( 'モバイル時ヘッダー色', 'colors' ),
    'section' => 'colors',
    'settings' => 'mobile_background_color',
    'priority' => 50,
  ) ) );
  
  
  //ヘッダーの高さ
  $wp_customize->add_setting('layout_options[header_height]', array(
     'default' => '100',
     'type'    => 'option',
  ));
  $wp_customize->add_control( 'header_height_textfield', array(
    'settings' => 'layout_options[header_height]',
    'label' =>'ヘッダーの高さpx（デフォルト：100、※画像を設定する前に高さを設定すること）',
    'section' => 'header_image',
    'type' => 'text',
    'priority' => 20, 
  ));
  
  
  //レイアウト設定項目の追加
  $wp_customize->add_section( 'layout_section', array(
    'title'          =>'レイアウトの設定',
    'priority'       => 89,
  ));
  
  //カテゴリ情報の非表示
  $wp_customize->add_setting('layout_options[cateory_visible]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'cateory_visible_checkbox', array(
    'settings' => 'layout_options[cateory_visible]',
    'label' =>'カテゴリ情報の非表示',
    'section' => 'layout_section',
    'type' => 'checkbox',
    'priority' => 5, 
  ));
  
  //タグ情報の非表示
  $wp_customize->add_setting('layout_options[tag_visible]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'tag_visible_checkbox', array(
    'settings' => 'layout_options[tag_visible]',
    'label' =>'タグ情報の非表示',
    'section' => 'layout_section',
    'type' => 'checkbox',
    'priority' => 10, 
  ));
  
  //投稿者情報の非表示
  $wp_customize->add_setting('layout_options[author_visible]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'author_visible_checkbox', array(
    'settings' => 'layout_options[author_visible]',
    'label' =>'投稿者情報の非表示',
    'section' => 'layout_section',
    'type' => 'checkbox',
    'priority' => 20, 
  ));
  
  //編集リンクの非表示
  $wp_customize->add_setting('layout_options[edit_visible]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'edit_visible_checkbox', array(
    'settings' => 'layout_options[edit_visible]',
    'label' =>'編集リンクの非表示',
    'section' => 'layout_section',
    'type' => 'checkbox',
    'priority' => 30, 
  ));
  
  //抜粋文字数
  $wp_customize->add_setting('layout_options[excerpt_length]', array(
     'default' => '70',
     'type'    => 'option',
  ));
  $wp_customize->add_control( 'excerpt_length_textfield', array(
    'settings' => 'layout_options[excerpt_length]',
    'label' =>'抜粋文字数（デフォルト：70）',
    'section' => 'layout_section',
    'type' => 'text',
    'priority' => 35, 
  ));
  
  //関連記事タイプ
  $wp_customize->add_setting('layout_options[related_entry_type]', array(
     'default' => 'default',
     'type'    => 'option',
  ));
  $wp_customize->add_control( 'related_entry_type_radio', array(
    'settings' => 'layout_options[related_entry_type]',
    'label' =>'関連記事表示タイプ',
    'section' => 'layout_section',
    'type' => 'radio',
    'choices'    => array(
      'default' => 'デフォルト（推奨表示数3-10）',
      'thumbnail' => 'サムネイル（推奨表示数3, 6, 9）',
    ),
    'priority' => 40, 
  ));
  
  //関連記事数
  $wp_customize->add_setting('layout_options[related_entry_count]', array(
     'default' => '10',
     'type'    => 'option',
  ));
  $wp_customize->add_control( 'related_entry_count_textfield', array(
    'settings' => 'layout_options[related_entry_count]',
    'label' =>'関連記事表示数（デフォルト：10）',
    'section' => 'layout_section',
    'type' => 'text',
    'priority' => 50, 
  ));
  
  //ナビゲーションを非表示
  $wp_customize->add_setting('layout_options[navi_not_visible]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'navi_not_visible_checkbox', array(
    'settings' => 'layout_options[navi_not_visible]',
    'label' =>'ナビゲーション(メニュー）を非表示',
    'section' => 'layout_section',
    'type' => 'checkbox',
    'priority' => 60, 
  ));
  
  //サイドバーを左側に表示
  $wp_customize->add_setting('layout_options[sidebar_left]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'sidebar_left_checkbox', array(
    'settings' => 'layout_options[sidebar_left]',
    'label' =>'サイドバーを左側に表示',
    'section' => 'layout_section',
    'type' => 'checkbox',
    'priority' => 70, 
  ));
  
  //フッターを背景色と同じにする
  $wp_customize->add_setting('layout_options[footer_transparent]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'footer_transparent_checkbox', array(
    'settings' => 'layout_options[footer_transparent]',
    'label' =>'フッターを背景色と同じにする',
    'section' => 'layout_section',
    'type' => 'checkbox',
    'priority' => 80, 
  ));
  
  
  
  //SEO設定項目の追加
  $wp_customize->add_section( 'seo_section', array(
    'title'          =>'SEOの設定',
    'priority'       => 90,
  ));
  //検索エンジンに伝える日付
  $wp_customize->add_setting('seo_options[seo_date]', array(
     'default' => 'create',
     'type'    => 'option',
  ));
  $wp_customize->add_control( 'seo_date_radio', array(
    'settings' => 'seo_options[seo_date]',
    'label' =>'検索エンジンに伝える日付（推奨：公開日）',
    'section' => 'seo_section',
    'type' => 'radio',
    'choices'    => array(
      'create' => '公開日',
      'update' => '更新日',
    ),
    'priority' => 10, 
  ));
  
  
  //SNS設定項目の追加
  $wp_customize->add_section( 'sns_section', array(
    'title'          =>'SNSの設定',
    'priority'       => 91,
  ));

  //全シェアボタンの非表示
  $wp_customize->add_setting('sns_options[all_sns_share_btns_not_visible]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'all_sns_share_btns_not_visible_checkbox', array(
    'settings' => 'sns_options[all_sns_share_btns_not_visible]',
    'label' =>'全シェアボタンの非表示',
    'section' => 'sns_section',
    'type' => 'checkbox',
    'priority' => 0, 
  ));
  
  //シェアメッセージ
  $wp_customize->add_setting('sns_options[share_msg]', array(
     'default' => 'シェアする',
     'type'  => 'option',
  ));
  $wp_customize->add_control( 'share_msg_textfield', array(
    'settings' => 'sns_options[share_msg]',
    'label' =>'シェアメッセージ（無記入で非表示）',
    'section' => 'sns_section',
    'type' => 'text',
    'priority' => 10, 
  ));
  
  //Twitter拡散ボタン非表示
  $wp_customize->add_setting('sns_options[twitter_btn_not_visible]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'twitter_btn_not_visible_checkbox', array(
    'settings' => 'sns_options[twitter_btn_not_visible]',
    'label' =>'Twitter「ツイート」ボタンの非表示',
    'section' => 'sns_section',
    'type' => 'checkbox',
    'priority' => 20, 
  ));
  
  //Facebook拡散ボタン非表示
  $wp_customize->add_setting('sns_options[facebook_btn_not_visible]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'facebook_btn_not_visible_checkbox', array(
    'settings' => 'sns_options[facebook_btn_not_visible]',
    'label' =>'Facebook「いいね！」ボタンの非表示',
    'section' => 'sns_section',
    'type' => 'checkbox',
    'priority' => 30, 
  ));
  
  //Google＋拡散ボタン非表示
  $wp_customize->add_setting('sns_options[google_plus_btn_not_visible]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'google_plus_btn_not_visible_checkbox', array(
    'settings' => 'sns_options[google_plus_btn_not_visible]',
    'label' =>'Google＋「+1」ボタンの非表示',
    'section' => 'sns_section',
    'type' => 'checkbox',
    'priority' => 40, 
  ));
  
  //はてな拡散ボタン非表示
  $wp_customize->add_setting('sns_options[hatena_btn_not_visible]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'hatena_btn_not_visible_checkbox', array(
    'settings' => 'sns_options[hatena_btn_not_visible]',
    'label' =>'はてな「はてブ」ボタンの非表示',
    'section' => 'sns_section',
    'type' => 'checkbox',
    'priority' => 50, 
  ));
  
  //ポケットボタン非表示
  $wp_customize->add_setting('sns_options[pocket_btn_not_visible]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'pocket_btn_not_visible_checkbox', array(
    'settings' => 'sns_options[pocket_btn_not_visible]',
    'label' =>'pocket「あとで読む」ボタンの非表示',
    'section' => 'sns_section',
    'type' => 'checkbox',
    'priority' => 60, 
  ));
  
  //LINEボタン非表示（モバイル時）
  $wp_customize->add_setting('sns_options[line_btn_not_visible]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'line_btn_not_visible_checkbox', array(
    'settings' => 'sns_options[line_btn_not_visible]',
    'label' =>'LINEボタンの非表示（モバイル時）',
    'section' => 'sns_section',
    'type' => 'checkbox',
    'priority' => 70, 
  ));
  
  //全フォローボタンの非表示
  $wp_customize->add_setting('sns_options[all_sns_follow_btns_not_visible]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'all_sns_follow_btns_not_visible_checkbox', array(
    'settings' => 'sns_options[all_sns_follow_btns_not_visible]',
    'label' =>'全フォローボタンの非表示',
    'section' => 'sns_section',
    'type' => 'checkbox',
    'priority' => 75, 
  ));
  
  //ページトップのフォローボタン非表示
  $wp_customize->add_setting('sns_options[top_follows_not_visible]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'top_follows_not_visible_checkbox', array(
    'settings' => 'sns_options[top_follows_not_visible]',
    'label' =>'ページトップのフォローボタンのみ非表示',
    'section' => 'sns_section',
    'type' => 'checkbox',
    'priority' => 76, 
  ));
  
  
  //フォローメッセージ
  $wp_customize->add_setting('sns_options[follow_msg]', array(
     'default' => 'フォローする',
     'type'    => 'option',
  ));
  $wp_customize->add_control( 'follow_msg_textfield', array(
    'settings' => 'sns_options[follow_msg]',
    'label' =>'フォローメッセージ（無記入で非表示）',
    'section' => 'sns_section',
    'type' => 'text',
    'priority' => 80, 
  ));

  
  //Twitter
  $wp_customize->add_setting('sns_options[twitter]', array(
     'type'  => 'option',
  ));
  $wp_customize->add_control( 'twitter_textfield', array(
    'settings' => 'sns_options[twitter]',
    'label' =>'twitter.com/XXXXXXX',
    'section' => 'sns_section',
    'type' => 'text',
    'priority' => 90, 
  ));
  
  //Facebook
  $wp_customize->add_setting('sns_options[facebook]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'facebook_textfield', array(
    'settings' => 'sns_options[facebook]',
    'label' =>'facebook.com/XXXXXXX',
    'section' => 'sns_section',
    'type' => 'text',
    'priority' => 100, 
  ));
  
  //Google＋
  $wp_customize->add_setting('sns_options[google_plus]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'google_plus_textfield', array(
    'settings' => 'sns_options[google_plus]',
    'label' =>'plus.google.com/XXXXXXX',
    'section' => 'sns_section',
    'type' => 'text',
    'priority' => 110, 
  ));
  
  //feedly
  $wp_customize->add_setting('sns_options[feedly]', array(
     'default' => 'checked',
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'feedly_checkbox', array(
    'settings' => 'sns_options[feedly]',
    'label' =>'feedlyの表示',
    'section' => 'sns_section',
    'type' => 'checkbox',
    'priority' => 120, 
  ));
  
  //RSS
  $wp_customize->add_setting('sns_options[rss]', array(
     'default' => 'checked',
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'rss_checkbox', array(
    'settings' => 'sns_options[rss]',
    'label' =>'RSSの表示',
    'section' => 'sns_section',
    'type' => 'checkbox',
    'priority' => 130, 
  ));
  
  //fb:admins
  $wp_customize->add_setting('sns_options[fb_admins]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'fb_admins_textfield', array(
    'settings' => 'sns_options[fb_admins]',
    'label' =>'FacebookOGP管理者ID（fb:admins）',
    'section' => 'sns_section',
    'type' => 'text',
    'priority' => 140, 
  ));
  
  //fb:app_id
  $wp_customize->add_setting('sns_options[fb_app_id]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'fb_app_id_textfield', array(
    'settings' => 'sns_options[fb_app_id]',
    'label' =>'FacebookOGPアプリID（fb:app_id）',
    'section' => 'sns_section',
    'type' => 'text',
    'priority' => 150, 
  ));
  
  //OGPやTwitter Cardsのサイト概要
  $wp_customize->add_setting('sns_options[ogp_description]', array(
     'default' => 'excerpt',
     'type'    => 'option',
  ));
  $wp_customize->add_control( 'ogp_description_radio', array(
    'settings' => 'sns_options[ogp_description]',
    'label' =>'OGP、Twitter Cardsのdescription',
    'section' => 'sns_section',
    'type' => 'radio',
    'choices'    => array(
      'excerpt' => '記事の抜粋（リード文100文字）',
      'meta' => 'メタdescription（要All in One SEO Pack）',
    ),
    'priority' => 160, 
  ));
  
  //フォローボタンに色をつける
  $wp_customize->add_setting('sns_options[colored_follow_btns]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'colored_follow_btns_checkbox', array(
    'settings' => 'sns_options[colored_follow_btns]',
    'label' =>'フォローボタンに色をつける',
    'section' => 'sns_section',
    'type' => 'checkbox',
    'priority' => 170, 
  ));
  
  //追従SNSボタンを表示
  $wp_customize->add_setting('sns_options[obsequence_sns_btns_visible]', array(
     'type'  => 'option',
  ));  
  $wp_customize->add_control( 'obsequence_sns_btns_visible_checkbox', array(
    'settings' => 'sns_options[obsequence_sns_btns_visible]',
    'label' =>'サイドに追従SNSボタンを表示',
    'section' => 'sns_section',
    'type' => 'checkbox',
    'priority' => 180, 
  ));
  
  
  
  //広告設定項目の追加
  $wp_customize->add_section( 'ads_section', array(
    'title'          =>'広告の設定',
    'priority'       => 99,
  ));
  
  //全ての広告を非表示
  $wp_customize->add_setting('ads_options[visible]', array(
     'type'    => 'option',
  ));
  $wp_customize->add_control( 'visible_checkbox', array(
    'settings' => 'ads_options[visible]',
    'label' =>'全ての広告を非表示 （チェックをすると広告が全て非表示になります。）',
    'section' => 'ads_section',
    'type' => 'checkbox',
    'priority'=> 10,
  ));
  
  //記事本文中に広告を表示するか
  $wp_customize->add_setting('ads_options[is_in_content]', array(
     'default'    => 'under_relations',
     'type'    => 'option',
  ));
  $wp_customize->add_control( 'is_in_content_radio', array(
    'settings' => 'ads_options[is_in_content]',
    'label' =>'記事下以外の広告位置',
    'section' => 'ads_section',
    'type' => 'radio',
    'choices'    => array(
      'under_relations' => '関連記事下',
      'sidebar_top' => 'サイドバートップ',
      'in_content' => '本文記事中（H2見出し手前 ※H2存在時）',
    ),
    'priority'=> 20,
  ));
  
  //広告のラベル
  $wp_customize->add_setting('ads_options[label]', array(
     'default' => 'スポンサーリンク',
     'type'    => 'option',
  ));
  $wp_customize->add_control( 'label_textfield', array(
    'settings' => 'ads_options[label]',
    'label' =>'広告のラベル',
    'section' => 'ads_section',
    'type' => 'text',
    'priority'=> 30,
  ));
  
  //トップページに広告を表示する
  $wp_customize->add_setting('ads_options[top_ads_visible]', array(
     'type'    => 'option',
  ));
  $wp_customize->add_control( 'top_ads_visible_checkbox', array(
    'settings' => 'ads_options[top_ads_visible]',
    'label' =>'トップページに広告を表示する',
    'section' => 'ads_section',
    'type' => 'checkbox',
    'priority'=> 30,
  ));
  
  //広告を中央表示
  $wp_customize->add_setting('ads_options[ads_center]', array(
     'type'    => 'option',
  ));
  $wp_customize->add_control( 'ads_center_checkbox', array(
    'settings' => 'ads_options[ads_center]',
    'label' =>'広告を中央表示',
    'section' => 'ads_section',
    'type' => 'checkbox',
    'priority'=> 40,
  ));
  
  
  //アクセス解析設定項目の追加
  $wp_customize->add_section( 'ana_section', array(
    'title'          =>'アクセス解析（Analyticsなど）',
    'priority'       => 98,
  ));
  
  //Google AnalyticsトラッキングID
  $wp_customize->add_setting('ana_options[tracking_id]', array(
     'default' => '',
     'type'    => 'option',
  ));
  $wp_customize->add_control( 'tracking_id_textfield', array(
    'settings' => 'ana_options[tracking_id]',
    'label' =>'Google AnalyticsトラッキングID（UA-xxxxxxxx-x）',
    'section' => 'ana_section',
    'type' => 'text',
    'priority'=> 10,
  ));
  
  //ウェブマスターツールID
  $wp_customize->add_setting('ana_options[webmaster_tool_id]', array(
     'default' => '',
     'type'    => 'option',
  ));
  $wp_customize->add_control( 'webmaster_tool_id_textfield', array(
    'settings' => 'ana_options[webmaster_tool_id]',
    'label' =>'ウェブマスターツールID',
    'section' => 'ana_section',
    'type' => 'text',
    'priority'=> 20,
  ));
  
    
  //その他の設定項目の追加
  $wp_customize->add_section( 'other_section', array(
    'title'          =>'その他の設定',
    'priority'       => 100,
  ));
  
  //テーマ側でファビコンを設定
  $wp_customize->add_setting('other_options[favicon]', array(
    'priority' => 10,
    'type'     => 'option',
  ));
  $wp_customize->add_control( 'favicon_checkbox', array(
    'settings' => 'other_options[favicon]',
    'label' =>'テーマ側でファビコンを設定',
    'section' => 'other_section',
    'type' => 'checkbox',
    'priority'=> 10,
  ));
  
  //ファビコンのURL
  $wp_customize->add_setting('other_options[favicon_url]', array(
     'default' => '',
     'type'    => 'option',
  ));
  $wp_customize->add_control( 'favicon_url_textfield', array(
    'settings' => 'other_options[favicon_url]',
    'label' =>'ファビコンのURL（未入力時はテーマにあるものを使用）',
    'section' => 'other_section',
    'type' => 'text',
    'placeholder' => 'アップロードしたURLを入力',
    'priority'=> 20,
    
  ));
  
  //テーマ側でアップルタッチアイコンを設定
  $wp_customize->add_setting('other_options[apple_touch_icon]', array(
    'type'     => 'option',
  ));
  $wp_customize->add_control( 'apple_touch_icon_checkbox', array(
    'settings' => 'other_options[apple_touch_icon]',
    'label' =>'テーマ側でアップルタッチアイコンを設定',
    'section' => 'other_section',
    'type' => 'checkbox',
    'priority'=> 30,
  ));
  
  //アップルタッチアイコンのURL
  $wp_customize->add_setting('other_options[apple_touch_icon_url]', array(
     'default' => '',
     'type'    => 'option',
  ));
  $wp_customize->add_control( 'apple_touch_icon_url_textfield', array(
    'settings' => 'other_options[apple_touch_icon_url]',
    'label' =>'アップルタッチアイコンのURL（未入力時はテーマにあるものを使用）',
    'section' => 'other_section',
    'type' => 'text',
    'placeholder' => 'アップロードしたURLを入力',
    'priority'=> 40,
    
  ));
  
  //Windows Live Writerで編集を表示
  $wp_customize->add_setting('other_options[wlw]', array(
    'type'     => 'option',
  ));
  $wp_customize->add_control( 'wlw_checkbox', array(
    'settings' => 'other_options[wlw]',
    'label' =>'ログインユーザーに「WLWで編集」リンクを出す（※Windows Live Writerユーザーで、「WLW Post Downloader Plugin」のインストールが必須）',
    'section' => 'other_section',
    'type' => 'checkbox',
    'priority'=> 50,
  ));
  
  //サイドバートップの人気記事にWordpress Popular Postsを使う
  $wp_customize->add_setting('other_options[wpp]', array(
    'type'    => 'option',
  ));
  $wp_customize->add_control( 'wpp_checkbox', array(
    'settings' => 'other_options[wpp]',
    'label' =>'サイドバートップの人気エントリーにWordpress Popular Postsを使う（※プラグインのインストールが必須）',
    'section' => 'other_section',
    'type' => 'checkbox',
    'priority' => 60,
  ));
  
  //Wordpress Popular Postsの閲覧数を消す
  $wp_customize->add_setting('other_options[wpp_view_not_visible]', array(
    'type'    => 'option',
  ));
  $wp_customize->add_control( 'wpp_view_not_visible_checkbox', array(
    'settings' => 'other_options[wpp_view_not_visible]',
    'label' =>'Wordpress Popular Posts人気エントリー部分の閲覧数を非表示',
    'section' => 'other_section',
    'type' => 'checkbox',
    'priority' => 70,
  ));
  
  //日本語のスラッグを有効にする
  $wp_customize->add_setting('other_options[japanese_slug_enable]', array(
    'type'    => 'option',
  ));
  $wp_customize->add_control( 'japanese_slug_enable_checkbox', array(
    'settings' => 'other_options[japanese_slug_enable]',
    'label' =>'日本語のスラッグを有効にする',
    'section' => 'other_section',
    'type' => 'checkbox',
    'priority' => 80,
  ));
  
}

//カスタムレイアウト設定の値を取得
function get_layout_options(){
  return get_option('layout_options');
}

//ヘッダーの高さを取得
function get_header_height(){
  $o = get_layout_options();
  if ($o['header_height']) {
    return $o['header_height'];
  }
  return 100;
}

//カテゴリー情報表示がオンかどうか
function is_category_visible(){
  $o = get_layout_options();
  return !$o['cateory_visible'];
}

//タグ情報表示がオンかどうか
function is_tag_visible(){
  $o = get_layout_options();
  return !$o['tag_visible'];
}

//投稿者情報表示がオンかどうか
function is_author_visible(){
  $o = get_layout_options();
  return !$o['author_visible'];
}

//抜粋文字数の取得
function get_excerpt_length(){
  $o = get_layout_options();
  return $o['excerpt_length'];
}

//関連記事表示タイプはデフォルトか
function is_related_entry_type_default(){
  $o = get_layout_options();
  if ($o['related_entry_type'] == 'default' || $o['related_entry_type'] == null) {
    return true;
  } else {
    return false;
  }
}

//関連記事数の取得
function get_related_entry_count(){
  $o = get_layout_options();
  return $o['related_entry_count'];
}

//ナビゲーションを表示するかどうか
function is_navi_visible(){
  $o = get_layout_options();
  return !$o['navi_not_visible'];
}

//サイドバーは左側にするかどうか
function is_sidebar_left(){
  $o = get_layout_options();
  return $o['sidebar_left'];
}

//フッター透過にするかどうか
function is_footer_transparent(){
  $o = get_layout_options();
  return $o['footer_transparent'];
}

//編集リンク表示がオンかどうか
function is_edit_visible(){
  $o = get_layout_options();
  return !$o['edit_visible'];
}


//カスタムSEO設定の値を取得
function get_seo_options(){
  return get_option('seo_options');
}

//カスタムSNS設定の値を取得
function get_sns_options(){
  $options =  get_option('sns_options');//外観→カスタム→SNSの設定の取得
  if ($options['twitter'] || $options['facebook'] || $options['google_plus'] || $options['feedly'] || $options['rss']) {
    return $options;
  } else {
    return;
  }
}


//全シェアボタン表示がオンかどうか
function is_all_sns_share_btns_visible(){
  $o = get_option('sns_options');
  return !$o['all_sns_share_btns_not_visible'];
}

//全フォローボタン表示がオンかどうか
function is_all_sns_follow_btns_not_visible(){
  $o = get_option('sns_options');
  return !$o['all_sns_follow_btns_not_visible'];
}

//フォローボタンに色をつけるかどうか
function is_colored_follow_btns(){
  $o = get_option('sns_options');
  return $o['colored_follow_btns'];
}

//対中SNSボタンを表示するかどうか
function is_obsequence_sns_btns_visible(){
  $o = get_option('sns_options');
  return $o['obsequence_sns_btns_visible'];
}


//カスタム広告設定の値を取得
function get_ads_options(){
  return get_option('ads_options');
}

//広告表示がオンかどうか
function is_ads_visible(){
  $o = get_option('ads_options');
  return !$o['visible'];
}

//広告を本文中に掲載するか
function is_ads_in_content(){
  $o = get_option('ads_options');
  return $o['is_in_content'] == 'in_content';
}

//広告をサイドバートップに掲載するか
function is_ads_sidebar_top(){
  $o = get_option('ads_options');
  return $o['is_in_content'] == 'sidebar_top';
}

//広告を関連記事下に掲載するか
function is_ads_under_relations(){
  $o = get_option('ads_options');
  if ($o['is_in_content'] == 'under_relations' || $o['is_in_content'] == null) {
    return true;
  } else {
    return false;
  }
}
//広告ラベルの取得（文字が入力されていない場合は偽を返す）
function get_ads_label(){
  $o = get_option('ads_options');
  return $o['label'];
}

//広告をサイドバートップに掲載するか
function is_top_ads_visible(){
  $o = get_option('ads_options');
  return $o['top_ads_visible'];
}

//広告を中央表示
function is_ads_center(){
  $o = get_option('ads_options');
  return $o['ads_center'];
}

//テーマでファビコンを設定するかどうか
function is_favicon_enable(){
  $o = get_option('other_options');
  return $o['favicon'];
}

//ファビコンのURLを取得
function get_favicon_url(){
  $o = get_option('other_options');
  return $o['favicon_url'];
}

//テーマでアップルタッチアイコンを設定するかどうか
function is_apple_touch_icon_enable(){
  $o = get_option('other_options');
  return $o['apple_touch_icon'];
}

//アップルタッチアイコンのURLを取得
function get_apple_touch_icon_url(){
  $o = get_option('other_options');
  return $o['apple_touch_icon_url'];
}

//「WLWで編集」を出すかどうか
function is_wlw_enable(){
  $o = get_option('other_options');
  return $o['wlw'];
}

//人気記事にWordpress Popular Postsを使うかどうか
function is_wpp_enable(){
  $o = get_option('other_options');
  return $o['wpp'];
}

//Wordpress Popular Postsの閲覧数を表示するかどうか
function is_wpp_view_visible(){
  $o = get_option('other_options');
  return !$o['wpp_view_not_visible'];
}

//日本語のスラッグを有効にするかどうか
function is_japanese_slug_enable(){
  $o = get_option('other_options');
  return $o['japanese_slug_enable'];
}


function wlw_edit_post_link($link, $before, $after){
  if (is_wlw_enable()) {
    if ( is_user_logged_in() ):
      echo $before.'<a href="wlw://'.get_domain().'/?postid=';
      echo the_ID();
      echo '">'.$link.'</a>'.$after;
    endif;
  }
}

function get_domain(){
  //ドメイン情報を$results[1]に取得する
  preg_match( '/https?:\/\/(.+?)\//i', admin_url(), $results );
  return $results[1];
}

//広告をH2見出しの前に出す
function add_ads_before_1st_h2($the_content) {
  if ( is_single() && is_ads_in_content() ) {
    //広告（AdSense）タグを記入
    ob_start();//バッファリング
    get_template_part('ad');
    $ads = ob_get_clean();
    $h2 = '/<h2.*?>/i';//H2見出しのパターン
    if ( preg_match( $h2, $the_content, $h2s )) {//H2見出しが本文中にあるかどうか
      $the_content = preg_replace($h2, $ads.$h2s[0], $the_content, 1);//最初のH2を置換
    }
  }
  return $the_content;
}
add_filter('the_content','add_ads_before_1st_h2');

//カスタムアクセス解析設定の値を取得
function get_ana_options(){
  return get_option('ana_options');
}

/*
  get_the_modified_time()の結果がget_the_time()より古い場合はget_the_time()を返す。
  同じ場合はnullをかえす。
  それ以外はget_the_modified_time()をかえす。
*/
function get_mtime($format) {
    $mtime = get_the_modified_time('Ymd');
    $ptime = get_the_time('Ymd');
    if ($ptime > $mtime) {
        return get_the_time($format);
    } elseif ($ptime === $mtime) {
        return null;
    } else {
        return get_the_modified_time($format);
    }
}

// Feedにアイキャッチ画像を表示する
function post_thumbnail_feeds($content) {
    global $post;
    if(has_post_thumbnail($post->ID)) {
        $content = '<div>' . get_the_post_thumbnail($post->ID, 'thumb150') . '</div>' . $content;
    }
    return $content;
}
add_filter('the_excerpt_rss', 'post_thumbnail_feeds');
add_filter('the_content_feed', 'post_thumbnail_feeds');


// 抜粋の長さを変更する
function custom_excerpt_length() {	
	return intval(get_excerpt_length()) + 50;
}	
add_filter('excerpt_length', 'custom_excerpt_length');

// 文末文字を変更する
function custom_excerpt_more($more) {
	return '';
}
add_filter('excerpt_more', 'custom_excerpt_more');

//抜粋を表示する関数
//参考：http://sharon-apple.com/older_posts/1262/
function get_custom_excerpt($length) {
  $content = get_the_excerpt();
//  $content =  preg_replace('/<!--more-->.+/i',"",$content); 
  $content =  strip_shortcodes($content);
  $content =  strip_tags($content);
  $content =  str_replace("&nbsp;","",$content); 
  $content =  html_entity_decode($content,ENT_QUOTES,"UTF-8");
  $content =  mb_substr($content,0,$length);
  return $content;
}

//外部ファイルのURLに付加されるver=を取り除く
function vc_remove_wp_ver_css_js( $src ) {
    if ( strpos( $src, 'ver=' ) )
        $src = remove_query_arg( 'ver', $src );
    return $src;
}
add_filter( 'style_loader_src', 'vc_remove_wp_ver_css_js', 9999 );
add_filter( 'script_loader_src', 'vc_remove_wp_ver_css_js', 9999 );

//セルフピンバック禁止
function no_self_ping( &$links ) {
    $home = home_url();
    foreach ( $links as $l => $link )
        if ( 0 === strpos( $link, $home ) )
            unset($links[$l]);
}
add_action( 'pre_ping', 'no_self_ping' );

//ファビコンタグを表示
function the_favicon_tag(){
  if (is_favicon_enable()) {
    if ( get_favicon_url() ) {
      echo '<link rel="shortcut icon" type="image/x-icon" href="'.get_favicon_url().'" />'."\n";
    } else {
      echo '<link rel="shortcut icon" type="image/x-icon" href="'.get_stylesheet_directory_uri().'/images/favicon.ico" />'."\n";
    }
  }
}

//ファビコンタグを表示
function the_apple_touch_icon_tag(){
  if ( is_apple_touch_icon_enable() && wp_is_mobile() ) {
    if ( get_apple_touch_icon_url() ) {
      echo '<link rel="apple-touch-icon-precomposed" href="'.get_apple_touch_icon_url().'" />'."\n";
    } else {
      echo '<link rel="apple-touch-icon-precomposed" href="'.get_stylesheet_directory_uri().'/images/apple-touch-icon.png" />'."\n";
    }
  }
}

//ファビコン表示(フロント)
function blog_favicon() {
  the_favicon_tag();
}
add_action('wp_head', 'blog_favicon');

//ファビコン表示(管理画面)
function admin_favicon() {
  the_favicon_tag();
}
add_action('admin_head', 'admin_favicon');

//iframeのレスポンシブ対応
function wrap_iframe_in_div($the_content) {
  if ( is_singular() ) {
    $the_content = preg_replace('/< *?iframe/i', '<div class="video-container"><div class="video"><iframe', $the_content);
    $the_content = preg_replace('/<\/ *?iframe *?>/i', '</iframe></div></div>', $the_content);
  }
  return $the_content;
}
add_filter('the_content','wrap_iframe_in_div');

////ショートコード除外
//function strip_shotcodes( $content ) {
//  if ( preg_match( '/\[.+?\]/', $content, $matches ) ) {
//    $content = preg_replace('/\[.+?\]/', '', $content );
//  }
//  return $content;
//}

//サイト概要の取得
function get_the_description(){
  $options = get_sns_options();
  if ($options['ogp_description'] == 'meta') {
    global $post;//All in One SEO PackプラグインのDescriptionを取得
    $s = get_post_meta($post->ID, _aioseop_description, true);
  } else {
    $s = strip_shortcodes(get_the_excerpt());
    $s = mb_substr(str_replace(array("\r\n", "\r", "\n"), '', strip_tags($s)), 0, 100);
  }
  return $s;
}

//WordPress の投稿スラッグを自動的に生成する
function auto_post_slug( $slug, $post_ID, $post_status, $post_type ) {
    if ( preg_match( '/(%[0-9a-f]{2})+/', $slug ) ) {
        $slug = utf8_uri_encode( $post_type ) . '-' . $post_ID;
    }
    return $slug;
}
if ( !is_japanese_slug_enable() ) {
  add_filter( 'wp_unique_post_slug', 'auto_post_slug', 10, 4  );
}


////イメージタグの中からwidth、height、borderを削る
//add_filter( 'post_thumbnail_html', 'remove_thumbnail_dimensions', 10 );
//add_filter( 'image_send_to_editor', 'remove_thumbnail_dimensions', 10 );
////add_filter( 'the_content', 'remove_thumbnail_dimensions', 10 );
//function remove_thumbnail_dimensions( $html ) {
//    $html = preg_replace( '/\s(width|height|border)=\"\d*\"/', "", $html );
//    return $html;
//}

///////////////////////////////////////////////////
//Simplicityウイジェットの追加
//参考：WordPressのウィジェットを自作するためのTips - かちびと.net
//http://kachibito.net/wordpress/custom/how-to-add-your-widget.html
///////////////////////////////////////////////////
class SimplicityWidgetItem extends WP_Widget {
	function SimplicityWidgetItem() {
    	parent::WP_Widget(false, $name = 'Simplicity新着・人気エントリー');
    }
    function widget($args, $instance) {
        extract( $args );
        $title_new = apply_filters( 'widget_title_new', $instance['title_new'] );
        $title_popular = apply_filters( 'widget_title_popular', $instance['title_popular'] );
    	?>
          <?php if (is_home()) { //メインページの場合?>
            <div id="popular-entries" class="widget widget_new_popular">
              <h4><?php if ($title_popular) {
                echo $title_popular;
              } else {
                echo '人気エントリー';
              }
                ?></h4>
            <?php if (function_exists('wpp_get_mostpopular') && //Wordpress Popular Postsがインストールされているかどうか
                      is_wpp_enable()) { //Wordpress Popular Postsを?>
              <?php get_template_part('popular-posts-entries'); //PV順?>
            <?php } else { //Wordpress Popular Postsがインストールされていない?>
              <?php get_template_part('popular-entries'); //コメント順?>
            <?php } ?>
            </div>
          <?php } else { //メインページ以外?>
            <div id="new-entries" class="widget widget_new_popular">
              <h4><?php if ($title_new) {
                echo $title_new;
              } else {
                echo '新着エントリー';
              }
                ?></h4>
              <?php get_template_part('new-entries'); ?>
            </div><!-- /#new-entries -->
          <?php } ?>
        <?php
    }
    function update($new_instance, $old_instance) {
	$instance = $old_instance;
	$instance['title_new'] = strip_tags($new_instance['title_new']);
	$instance['title_popular'] = trim($new_instance['title_popular']);
        return $instance;
    }
    function form($instance) {
        $title_new = esc_attr($instance['title_new']);
        $title_popular = esc_attr($instance['title_popular']);
        ?>
        <p>
          <label for="<?php echo $this->get_field_id('title_new'); ?>">
          <?php _e('新着エントリーのタイトル'); ?>
          </label>
          <input class="widefat" id="<?php echo $this->get_field_id('title_new'); ?>" name="<?php echo $this->get_field_name('title_new'); ?>" type="text" value="<?php echo $title_new; ?>" />
        </p>

        <p>
           <label for="<?php echo $this->get_field_id('title_popular'); ?>">
           <?php _e('人気エントリーのタイトル'); ?>
           </label>
           <input class="widefat" id="<?php echo $this->get_field_id('title_popular'); ?>" name="<?php echo $this->get_field_name('title_popular'); ?>" type="text" value="<?php echo $title_popular; ?>" />
        </p>
        <?php
    }
}
add_action('widgets_init', create_function('', 'return register_widget("SimplicityWidgetItem");'));

//function my_caption_shortcode($shcode, $html){
//	$tarstr=mb_substr($shcode,mb_strpos($shcode,'</a> ')+4);
//	$tarstr=str_replace('\[/caption\]','',$tarstr);
//	if(mb_strlen($tarstr,"UTF-8")>30){
//		$ansstr='.'.$tarstr;
//		$shcode=str_replace($tarstr,$ansstr,$shcode);
//	}
//	return $shcode;
//}
//
//add_filter('image_add_caption_shortcode', 'my_caption_shortcode');