<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<?php //ウェブマスターツール用のID表示
$options = get_ana_options();
if ($options["webmaster_tool_id"]): ?>
<meta name="google-site-verification" content="<?php echo $options['webmaster_tool_id'] ?>" />
<?php endif; ?>
<meta charset="UTF-8">
<?php get_template_part('header-seo');?>
<title><?php
global $page, $paged;
if(is_front_page()):
bloginfo('name');
elseif(is_single()):
wp_title('');
elseif(is_page()):
wp_title('');
elseif(is_archive()):
wp_title('|',true,'right');
bloginfo('name');
elseif(is_search()):
wp_title('-',true,'right');
elseif(is_404()):
echo'404 - ';
bloginfo('name');
endif;
if($paged >= 2 || $page >= 2):
echo'-'.sprintf('%sページ',
max($paged,$page));
endif;
?>
</title>
<?php get_template_part('header-insert');?>
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link rel="stylesheet" href="<?php echo get_stylesheet_uri(); ?>" media="screen">
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/webfonts/css/font-awesome.min.css">
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/webfonts/icomoon/style.css">
<!-- <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/fluidity.min.css"> -->
<?php wp_enqueue_script('jquery'); ?>
<?php if ( is_singular() ) wp_enqueue_script( "comment-reply" ); ?>
<?php wp_head(); ?>
<script src="<?php echo get_template_directory_uri(); ?>/javascript.js" charset="UTF-8"></script>
<?php if (wp_is_mobile()): //モバイル?>
  <?php the_apple_touch_icon_tag() ?>
  <link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/mobile.css">
  <meta name="viewport" content="width=device-width,initial-scale=1.0">
<?php else: //PC?>
  <meta name="viewport" content="width=1280, maximum-scale=1, user-scalable=yes">
<?php endif; ?>
<?php get_template_part('ogp');?>
<?php get_template_part('twitter-card');?>
</head>
  <body <?php body_class(); ?>>
    <div id="container">
    
      <!-- header -->
      <div id="header" class="clearfix">
        <div id="header-in">
        
          <?php //カスタムヘッダーがある場合
          $h_top_style = '';
          if (get_header_image()){
            $h_top_style = ' style="background-image:url('.get_header_image().')"';
          } ?>
          <div id="h-top"<?php echo $h_top_style; ?>>
            <?php if ( is_navi_visible() ): ?>
            <!-- モバイルメニュー表示用のボタン -->
            <div id="mobile-menu">
              <a id="mobile-menu-toggle" href="#"><i class="fa fa-list fa-2x"></i></a>
            </div>
            <?php endif; ?>
        
            <div class="alignleft">
              <?php get_template_part('header-logo');?>
            </div>
            
            <div class="alignright">
              <?php $options = get_sns_options(); 
              if (!$options['top_follows_not_visible']): ?>
              <?php get_template_part('sns-pages');?>
              <?php endif; ?>
            </div>
            
          </div><!-- /#h-top -->
        </div><!-- /#header-in -->
      </div><!-- /#header -->
        
      <?php if (is_navi_visible())://ナビゲーションが表示のとき
        get_template_part('navi');
      endif; ?>
      
      <!-- 本体部分 -->
      <div id="body">
        <div id="body-in">
          <!-- main -->
          <div id="main">
  