<!-- パンくずリスト -->
<?php 
  if (is_category()) {
    get_template_part('breadcrumbs');
  }
?>

<!-- アーカイブのタイトル -->
<?php if (!is_home() && !is_search()) { ?>
  <h2 id="archive-title">「
    <?php if( is_category() ) { ?>
    <?php single_cat_title(); ?>
    <?php } elseif( is_tag() ) { ?>
    <?php single_tag_title(); ?>
    <?php } elseif( is_tax() ) { ?>
    <?php single_term_title(); ?>
    <?php } elseif (is_day()) { ?>
    日別：<?php echo get_the_time('Y年m月d日'); ?>
    <?php } elseif (is_month()) { ?>
    月別：<?php echo get_the_time('Y年m月'); ?>
    <?php } elseif (is_year()) { ?>
    年別：<?php echo get_the_time('Y年'); ?>
    <?php } elseif (is_author()) { ?>
    投稿者：<?php echo esc_html(get_queried_object()->display_name); ?>
    <?php } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
    アーカイブ
    <?php } ?>
  」<?php echo (is_category() ? 'カテゴリー' : '一覧') ?>
  </h2>
<?php } ?>

<!-- カテゴリの説明文 -->
<?php if (is_category() && !is_paged() && category_description()) : ?>
<div class="category-description"><?php echo category_description(); ?></div>
<?php endif; ?>

<!-- 記事一覧 -->
<?php 
if (have_posts()) : // WordPress ループ
  while (have_posts()) : the_post(); // 繰り返し処理開始 ?>
    <div id="post-<?php the_ID(); ?>" class="entry">
      <div class="entry-thumb">
        <?php if ( has_post_thumbnail() ): // サムネイルを持っているときの処理 ?>
          <a href="<?php the_permalink(); ?>" class="entry-image"><?php the_post_thumbnail( 'thumb150', array('style' => 'width:150px;height:150px;') ); ?></a>
        <?php else: // サムネイルを持っていないときの処理 ?>
          <a href="<?php the_permalink(); ?>" class="entry-image"><img src="<?php echo get_template_directory_uri(); ?>/images/no-image.png" alt="NO IMAGE" title="NO IMAGE" style="width:150px;height:150px;" /></a>
        <?php endif; ?>
      </div><!-- /.entry-thumb -->
      <div class="entry-content">
          
        <h2><a href="<?php the_permalink(); ?>" class="entry-title"><?php echo get_the_title(); ?></a></h2>
        <p class="post-meta">
          <span class="post-date"><i class="fa fa-clock-o fa-fw"></i><?php the_time('Y/n/j') ;?></span>
          
          <?php if (is_category_visible()): ?>
          <span class="category"><i class="fa fa-folder fa-fw"></i><?php the_category(', ') ?></span>
          <?php endif; ?>
        </p><!-- /.post-meta -->
        <p class="entry-snippet">
 <?php echo get_custom_excerpt( get_excerpt_length() ) //記事の抜粋?></p>
  <p class="entry-read"><a href="<?php the_permalink(); ?>">記事を読む</a></p>
      </div><!-- /.entry-content -->
    </div>
  <?php 
  endwhile; // 繰り返し処理終了 ?>
  <div class="clear"></div>
<?php else : // ここから記事が見つからなかった場合の処理  ?>
    <div class="post">
      <h2>記事はありません</h2>
      <p>お探しの記事は見つかりませんでした。</p>
    </div>
<?php
endif;
?>

<?php if (!is_home() || is_top_ads_visible()) ://メインページ以外は広告を出す
  get_template_part('ad-article-footer' );
endif; ?>

<!--ページャー-->
<div class="pager">
  <?php global $wp_rewrite;
  $paginate_base = get_pagenum_link(1);
  if(strpos($paginate_base, '?') || ! $wp_rewrite->using_permalinks()){
    $paginate_format = '';
    $paginate_base = add_query_arg('paged','%#%');
  }
  else{
    $paginate_format = (substr($paginate_base,-1,1) == '/' ? '' : '/') .
    user_trailingslashit('page/%#%/','paged');;
    $paginate_base .= '%_%';
  }
  
  if (wp_is_mobile()) {
    $mid_size = 1;
  } else {
    $mid_size = 3;
  }
  
  echo paginate_links(array(
    'base' => $paginate_base,
    'format' => $paginate_format,
    'total' => $wp_query->max_num_pages,
    'mid_size' => $mid_size,
    'current' => ($paged ? $paged : 1),
    'prev_text' => '<i class="fa fa-caret-left fa-fx"></i>&#160;',
    'next_text' => '&#160;<i class="fa fa-caret-right fa-fx"></i>',
  )); ?>
</div><!-- /.pager -->