<?php get_header(); ?>
  <?php get_template_part('breadcrumbs'); ?>
  
  <?php 
  if (have_posts()) : // WordPress ループ
    while (have_posts()) : the_post(); // 繰り返し処理開始 ?>
      <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
        <div class="article">
        <?php if (!wp_is_mobile() && //PC表示のときかつ
          is_all_sns_share_btns_visible() &&//SNSボタンが表示のときかつ
          is_obsequence_sns_btns_visible() ): //サイドに追従SNSボタンが表示のとき?>
          <!-- 追従SNSボタン -->
          <div id="sharebar">
            <?php get_template_part('sns-buttons'); ?>
          </div>
        <?php endif; ?>
        
        <h1 class="entry-title"><?php echo get_the_title(); ?></h1>
        <p class="post-meta">
          <?php get_template_part('datetime') //投稿日と更新日?>
          
          <?php if (is_category_visible()): ?>
          <span class="category"><i class="fa fa-folder fa-fw"></i><?php the_category(', ') ?></span>
          <?php endif; ?>
          
          <?php get_template_part('edit-link') //編集リンク?>
          
          <?php wlw_edit_post_link('WLWで編集', '<span class="wlw-edit"><i class="fa fa-pencil-square-o fa-fw"></i>', '</span>'); ?>
        </p>
        
        <?php the_content(); //記事本文?>
        
        <?php get_template_part('page-link');?>
        
        <?php get_template_part('ad-article-footer');?>

        <div id="sns-group">
        <?php if (wp_is_mobile()) {//モバイルの時は単なるアイコン
          get_template_part('sns-buttons-s');
        } else {//PCの時はバルーン付きボタン
          get_template_part('sns-buttons');
        } ?>
        
        <?php get_template_part('sns-pages');?>
        </div>
        
        <p class="footer-post-meta">
          
          <?php if (is_tag_visible()): ?>
          <span class="post-tag"><?php the_tags('<i class="fa fa-tag fa-fw"></i>',', '); ?></span>
          <?php endif; ?>
          
          <?php get_template_part('author-link') //投稿者リンク?>
          
          <?php get_template_part('edit-link') //編集リンク?>
          
          <?php wlw_edit_post_link('WLWで編集', '<span class="wlw-edit"><i class="fa fa-pencil-square-o fa-fw"></i>', '</span>'); ?>
        </p>
        
        </div><!-- .article -->
      </div><!-- .post -->
          
      <div id="related-entries">
        <h3>関連記事</h3>
        <?php if (is_related_entry_type_default()) {
          get_template_part('related-entries');
        } else{
          get_template_part('related-entries-thumbnail');
        }  ?>
      </div><!-- #related-entries -->
        
      
      
      <?php if ( (is_ads_under_relations()) || //関連記事下広告のとき
         (wp_is_mobile() && is_ads_in_content()) || //モバイルの時も広告を表示
        //「本文中広告がオン」でも
        //本文中にH2タグがない時は広告を表示（必ず記事に広告が3つ表示されるように）
        (!preg_match('/<h2.*?>/i', get_the_content()) &&  !is_ads_sidebar_top()) ){
        get_template_part('ad');
      }?>
      
      <!-- post navigation -->
      <div class="navigation">
        <?php 
        $prev_post = get_previous_post();
        if( $prev_post ): ?>
          <div class="prev"><?php previous_post_link('%link', '<i class="fa fa-arrow-left fa-2x pull-left"></i>'.$prev_post->post_title); ?></div>
        <?php 
        endif;
        
        $next_post = get_next_post();
        if( $next_post ): ?>
          <div class="next"><?php next_post_link('%link', '<i class="fa fa-arrow-right fa-2x pull-left"></i>'.$next_post->post_title); ?></div>
        <?php 
        endif; 
        ?>
      </div>
      <!-- /post navigation -->
      
      <?php comments_template(); // コメント欄の表示 ?>
      
    <?php 
    endwhile; // 繰り返し処理終了    
  else : // ここから記事が見つからなかった場合の処理 ?>
      <div class="post">
        <h2>記事はありません</h2>
        <p>お探しの記事は見つかりませんでした。</p>
      </div>
  <?php
  endif;
  ?>

<?php get_footer(); ?>